package com.zbf.system.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper; //添加
import com.zbf.system.domain.TRkWareNoticeTab;

/**
 * 入库通知单明细Mapper接口
 *
 * @author tony
 * @date 2024-07-19
 */
public interface TRkWareNoticeTabMapper extends BaseMapper<TRkWareNoticeTab> //修改
{
    /**
     * 查询入库通知单明细
     *
     * @param id 入库通知单明细主键
     * @return 入库通知单明细
     */
    public TRkWareNoticeTab selectTRkWareNoticeTabById(String id);

    /**
     * 查询入库通知单明细列表
     *
     * @param tRkWareNoticeTab 入库通知单明细
     * @return 入库通知单明细集合
     */
    public List<TRkWareNoticeTab> selectTRkWareNoticeTabList(TRkWareNoticeTab tRkWareNoticeTab);

    /**
     * 新增入库通知单明细
     *
     * @param tRkWareNoticeTab 入库通知单明细
     * @return 结果
     */
    public int insertTRkWareNoticeTab(TRkWareNoticeTab tRkWareNoticeTab);

    /**
     * 修改入库通知单明细
     *
     * @param tRkWareNoticeTab 入库通知单明细
     * @return 结果
     */
    public int updateTRkWareNoticeTab(TRkWareNoticeTab tRkWareNoticeTab);
    public int updateNum(TRkWareNoticeTab tRkWareNoticeTab);

    /**
     * 删除入库通知单明细
     *
     * @param id 入库通知单明细主键
     * @return 结果
     */
    public int deleteTRkWareNoticeTabById(String id);

    /**
     * 批量删除入库通知单明细
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTRkWareNoticeTabByIds(String[] ids);

    /**
     * 批量启用入库通知单明细
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTRkWareNoticeTabByIds(String[] ids);

    /**
     * 批量禁用入库通知单明细
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTRkWareNoticeTabByIds(String[] ids);

}
